
Katello - Bug #5226

Error in katello-installer starting mongod service for the first time.

04/17/2014 11:54 AM - Devan Goodwin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[ERROR 2014-04-14 11:41:25 verbose] /Stage[main]/Mongodb::Server::Service/Service[mongodb]/ensure: change from stopped to

running failed: Could not start Service[mongodb]: Execution of '/usr/share/

katello-installer/modules/service_wait/bin/service-wait mongod start' returned 7:

[ERROR 2014-04-14 12:01:28 verbose] /Stage[main]/Mongodb::Server::Service/Service[mongodb]: Failed to call refresh: Could not

start Service[mongodb]: Execution of '/usr/share/katello-installer/modu

les/service_wait/bin/service-wait mongod start' returned 7:

[ERROR 2014-04-14 12:01:28 verbose] /Stage[main]/Mongodb::Server::Service/Service[mongodb]: Could not start

Service[mongodb]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/ser

vice-wait mongod start' returned 7:

Caused by the fact that mongodb client is not installed at this point, but the service wait script is attempting to use it to check if the

service is up yet and redirecting all output to /dev/null. Lacking a successful return code the wait script just keeps trying until it

reaches the max and times out even though mongodb server is up and running fine. Later in install process the client is installed,

thus a subsequent run of the installer will succeed fine.

History

#1 - 04/18/2014 01:42 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Category set to Installer

- Triaged set to No

#2 - 06/04/2014 12:23 PM - Eric Helms

- Status changed from New to Closed

- Triaged changed from No to Yes

#3 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
